Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld
Class ExternalVariables

    java.lang.Object
      |
      +--com.bea.ld.ExternalVariables

public final class ExternalVariables
extends java.lang.Object
implements java.io.Serializable

This class contains the list of variable name ( QName) - value pair. These variables can be used in FilterXQuery object when creating Filters or limiting the results.

See Also:
  `FilterXQuery`, Serialized Form

Constructor Summary
`ExternalVariables()`

Method Summary
`void` | `setBinary(javax.xml.namespace.QName varName, byte[] value)` sets the binary type variable
`void` | `setBoolean(javax.xml.namespace.QName varName, boolean value)` sets the boolean type variable
`void` | `setByte(javax.xml.namespace.QName varName, byte value)` sets the byte type variable
`void` | `setDateTime(javax.xml.namespace.QName varName, java.util.Calendar value)` sets the Calendar type variable
`void` | `setDateTime(javax.xml.namespace.QName varName, java.util.Date value)` sets the Date type variable
`void` | `setDecimal(javax.xml.namespace.QName varName, java.math.BigDecimal value)` sets the BigDecimal type variable
`void` | `setDouble(javax.xml.namespace.QName varName, double value)` sets the double type variable
`void` | `setFloat(javax.xml.namespace.QName varName, float value)` sets the float type variable
`void` | `setInt(javax.xml.namespace.QName varName, int value)` sets the int type variable
`void` | `setLong(javax.xml.namespace.QName varName, long value)` sets the long type variable
`void` | `setShort(javax.xml.namespace.QName varName, short value)` sets the short type variable
`void` | `setString(javax.xml.namespace.QName varName, java.lang.String value)` sets the String type variable
`void` | `setURI(javax.xml.namespace.QName varName, java.net.URI value)` sets the URI type variable

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalVariables

    public ExternalVariables()

Method Detail

### setBinary

    public void setBinary(javax.xml.namespace.QName varName,
                          byte[] value)

  sets the binary type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : binary value of the variable

### setBoolean

    public void setBoolean(javax.xml.namespace.QName varName,
                           boolean value)

  sets the boolean type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : boolean value of the variable

### setByte

    public void setByte(javax.xml.namespace.QName varName,
                        byte value)

  sets the byte type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : byte value of the variable

### setDateTime

    public void setDateTime(javax.xml.namespace.QName varName,
                            java.util.Date value)

  sets the Date type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : java.util.Date value of the variable

### setDateTime

    public void setDateTime(javax.xml.namespace.QName varName,
                            java.util.Calendar value)

  sets the Calendar type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : java.util.Calendar value of the variable

### setDecimal

    public void setDecimal(javax.xml.namespace.QName varName,
                           java.math.BigDecimal value)

  sets the BigDecimal type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : BigDecimal value of the variable

### setDouble

    public void setDouble(javax.xml.namespace.QName varName,
                          double value)

  sets the double type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : double value of the variable

### setFloat

    public void setFloat(javax.xml.namespace.QName varName,
                         float value)

  sets the float type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : float value of the variable

### setInt

    public void setInt(javax.xml.namespace.QName varName,
                       int value)

  sets the int type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : int value of the variable

### setLong

    public void setLong(javax.xml.namespace.QName varName,
                        long value)

  sets the long type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : long value of the variable

### setShort

    public void setShort(javax.xml.namespace.QName varName,
                         short value)

  sets the short type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : short value of the variable

### setString

    public void setString(javax.xml.namespace.QName varName,
                          java.lang.String value)

  sets the String type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : String value of the variable

### setURI

    public void setURI(javax.xml.namespace.QName varName,
                       java.net.URI value)

  sets the URI type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : java.net.URI value of the variable

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Bea Systems Inc. All Rights Reserved.